<?php
$view

->fetch(array('link@href', 0),      Dever::assets("global.css"))
->fetch(array('link@href', 1),      Dever::assets('list.css', "css"))
->fetch(array('script@src', 1),     Dever::assets('global.js'))
->fetch(array('script@src', 2),     Dever::assets('list.js', 'js'))
->set('title', 'main/content.cate#name') 

->import('inc/head')

->fetch(array('.common-tit .wrapper', 0), 'main/content.cate#ename')
->fetch(array('.common-tit span', 0), 'main/content.cate#name')
->fetch(array('.ico-row@href', 0), 'main/content.cate#cate_link_1')
->fetch(array('.ico-col@href', 0), 'main/content.cate#cate_link_2')

->fetch(array('.banner-ad', 0), '<{Dever::load("main/content.getAd", "列表页顶部广告位1200X300")}>')
->fetch(array('.ad', 0), '<{Dever::load("main/content.getAd", "列表页右侧广告位380X600")}>') 

# 精彩Top
->loop
(
    '.top-module li',
    'main/content.getPush|key=top&name=精彩TOP&num=7',
    array
    (
        'em' => array
        (
            'html' => '$k+1',
        ),

        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'target' => '_blank',
            'html' => '$v.name',
        ),
    )
)

# 列表
->loop
(
    '.article-wrap dl',
    'main/content.getAll',
    array
    (
        'a|0' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'a|1' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'html' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'p' => array
        (
            'html' => '$v.desc',
        ),
    )
)

->fetch('.common-pagination', 'Dever::page("current")')

->import('inc/foot')

->display();  